Subject: Re: [RFC 09/12] eth: bnxt: use the page pool for data pages

From: Jakub Kicinski <[email-masked]>
Date: Mon, 10 Jul 2023 10:04:12 -0700

On Sun, 9 Jul 2023 21:22:50 -0700 Michael Chan wrote:
> > -       if (BNXT_RX_PAGE_MODE(bp)) {
> > +       if (PAGE_SIZE <= BNXT_RX_PAGE_SIZE || BNXT_RX_PAGE_MODE(bp)) {  
> 
> We have a very similar set of patches from my colleague Somnath to
> support page pool and it supports PAGE_SIZE >= BNXT_RX_PAGE_SIZE in a
> more unified way.  So here, we don't have to deal with the if/else
> condition. I should be able to post the patches later in the week
> after some more QA.

I should have made it clearer, I'm testing with bnxt because of HW
availability but I have no strong need to get the bnxt bits merged
if it conflicts with your work.